<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>main</name>
    <title>Main classes</title>
    <filename>group__main.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KMultiTabBar</class>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
    <class kind="class">KSettings::Dialog</class>
  </compound>
  <compound kind="group">
    <name>internal</name>
    <title>Internal classes</title>
    <filename>group__internal.html</filename>
  </compound>
  <compound kind="group">
    <name>findreplace</name>
    <title>Find and Replace classes</title>
    <filename>group__findreplace.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
  </compound>
  <compound kind="group">
    <name>plugin</name>
    <title>Plugin handling classes</title>
    <filename>group__plugin.html</filename>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>settings</name>
    <title>Settings UI classes</title>
    <filename>group__settings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>kcmodule</name>
    <title>KControl module classes</title>
    <filename>group__kcmodule.html</filename>
    <class kind="class">KCModuleContainer</class>
    <class kind="class">KCModuleInfo</class>
    <class kind="class">KCModuleLoader</class>
    <class kind="class">KCModuleProxy</class>
    <class kind="class">KCModuleProxyIface</class>
    <class kind="class">KCModuleProxyRootDispatcher</class>
    <class kind="class">KCMultiDialog</class>
    <member kind="define">
      <type>#define</type>
      <name>KCMODULECONTAINER</name>
      <anchorfile>group__kcmodule.html</anchorfile>
      <anchor>gcedd0c5a0b0fc9bb8aff94df7f9cc36b</anchor>
      <arglist>(modules, factoryName)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>multitabbar</name>
    <title>KMultiTabBar related classes</title>
    <filename>group__multitabbar.html</filename>
    <class kind="class">KMultiTabBar</class>
    <class kind="class">KMultiTabBarButton</class>
    <class kind="class">KMultiTabBarTab</class>
  </compound>
  <compound kind="class">
    <name>KCModuleContainer</name>
    <filename>classKCModuleContainer.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>fd8c194a28975603c2930228c7334fe3</anchor>
      <arglist>(QWidget *parent, const char *name, const QStringList &amp;mods)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>6401110a29989c89702fb36b3e46320b</anchor>
      <arglist>(QWidget *parent, const char *name, const QString &amp;mods=QString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>ce851d474737d6cb8c77ee3ec0146a5c</anchor>
      <arglist>(const QString &amp;module)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>215fa8026d572cc63a3db839b9668636</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>c1249b2eb8ea0b9ae87e08bc2a767c6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>0303378ac8fb90ba7b8c0a2b5ec50eb6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>c3fc513b06ffe5d4b5b5c3afb5b55485</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>QValueList&lt; KCModuleProxy * &gt;</type>
      <name>ModuleList</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>ebd27fa75175f3b74026e2ba91020bf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finalize</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>bcbc0d7a75c16fdeba24faaa14534c6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>changedModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>aab884a12b195a3d1ddffbcb6ea97eb7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>allModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>2581c26fb712ac3952983d42f1058a09</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleInfo</name>
    <filename>classKCModuleInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>db479255dc2143bcb05510311f0fb08f</anchor>
      <arglist>(const QString &amp;desktopFile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>877b61a1c81939244cce405d5a388cd2</anchor>
      <arglist>(KService::Ptr moduleInfo)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>f57abec101dc24864ecbba8ed1e16e59</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a43bd95cc8ed429218a0e966f2d7bcd6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCModuleInfo &amp;</type>
      <name>operator=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>587b079bf8e14161ffc41c36656091c5</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>94c35cebb5728f59e96879e66dd767e8</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a9affdb41f3be79f74424f2b0f7bdab9</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>7c8d6229e1d1e3780611675a883dcdfa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>426d64365dde3f2dbdfd8a0b605e3fd6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>keywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>f9b7a0709b3528c349d67b616ea95f98</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>factoryName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>d9611e2650f6b729695fadd602729aa6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>moduleName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b747d194a594699513d3517d234a60bb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>5ec77af956f19bcc292e45b88a75b069</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>708e1dfdfda8179b0768e291ee19ee0f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>7214f34dd2979bb6c3e740302fe96463</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>docPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a4c6366787eaa7a79388000bc33b01fe</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>library</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>3e5b514021b75f676b62ee98aad65660</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>handle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>e7ab1006acce059c103fd4317709c4da</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>922beb158dead62e9f01e849ff4cf4c3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>393a7e50d5799e6ba4dd5bad7f7c08c2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>c4acf93db2dceca5f2ab45a41f38f724</anchor>
      <arglist>() const KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>9fdbfac21c40c7f067224f436d23766e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setKeywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>77da7b912203c2ef8aa0a1addcc60b9f</anchor>
      <arglist>(const QStringList &amp;keyword)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ba713a90dd298b10ca92dc1a2575e3fa</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setComment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>fb84f31952f03c0341eacabb8e80ba41</anchor>
      <arglist>(const QString &amp;comment)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>70a3746fe517ad549298ee85bdc0f3df</anchor>
      <arglist>(const QString &amp;icon)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLibrary</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>e5d3a259665dffe0a7154ca9c925f025</anchor>
      <arglist>(const QString &amp;lib)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHandle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>c7a85a92c9941c88cf31c12402aa303b</anchor>
      <arglist>(const QString &amp;handle)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setWeight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>e9a42f8493ca7561cc74451431d92184</anchor>
      <arglist>(int weight)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b158b4d67fbfea068975f00d9d73a3e6</anchor>
      <arglist>(bool val)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ec95c589ce2273f7f7a0ab18ad1d9b9e</anchor>
      <arglist>(bool needsRootPrivileges)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>de52f29a983821c3dd724453ce97efd7</anchor>
      <arglist>(bool isHiddenByDefault)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDocPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>4045f22cc436d7e9175293efdaf4ec0e</anchor>
      <arglist>(const QString &amp;p)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadAll</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b8bdff413ef73a547fd8cd6b4f339a92</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleLoader</name>
    <filename>classKCModuleLoader.html</filename>
    <member kind="enumeration">
      <name>ErrorReporting</name>
      <anchor>81df4206a4263bda1faeecc4e9d5747d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>None</name>
      <anchor>81df4206a4263bda1faeecc4e9d5747d20014ac1da26a191b4d9de679ae9d3e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Inline</name>
      <anchor>81df4206a4263bda1faeecc4e9d5747d005cd4b0726931d7e3c564b24c1e2bb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Dialog</name>
      <anchor>81df4206a4263bda1faeecc4e9d5747d746e97d8f1d1cf1235b1d9e2559ede0a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Both</name>
      <anchor>81df4206a4263bda1faeecc4e9d5747dc900aa7bd376141a32912f2e49ae68ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e85e392679245e6634291fb1e19f6e85</anchor>
      <arglist>(const KCModuleInfo &amp;module, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>033c12693971e67f18c648a2d43f044f</anchor>
      <arglist>(const QString &amp;module, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>82dba232ca966518e1a2e0c79a5e1049</anchor>
      <arglist>(const KCModuleInfo &amp;module, ErrorReporting report, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>1397422a3fd45bfb8a6d768767a47385</anchor>
      <arglist>(const QString &amp;module, ErrorReporting report, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>unloadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>486d01e5f9c68b2c44d4c34de034a6ad</anchor>
      <arglist>(const KCModuleInfo &amp;mod)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>showLastLoaderError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>fc9cb3779047b23f3645f5007ae9f670</anchor>
      <arglist>(QWidget *parent) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>4033f00cbe6bcd5fcc0702aec749c94b</anchor>
      <arglist>(const QString &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>ebdb15cace1e405eeee8d6eddb4f4dea</anchor>
      <arglist>(const KCModuleInfo &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>reportError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>f1732a74e1357cb9634026e384e6e1c0</anchor>
      <arglist>(ErrorReporting report, const QString &amp;text, QString details, QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxy</name>
    <filename>classKCModuleProxy.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>runAsRoot</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>883dbea3dfdb9f3018ce95b84e31b644</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>564d47d826e86554978924ee0f00d839</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteClient</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>50ccc8c6b1cd7f49447812024b3b976f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>cb872091a131fd6f5c52b75ea4ffbfba</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>cd8b1e4801637e804d8b247b361db492</anchor>
      <arglist>(KCModuleProxy *mod)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>childClosed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>13d414891c7a428e42e8a72666461438</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a56e388e97c44d303a787b9c49813438</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>0bf8216f1bf503b15e1fcb1382578b9c</anchor>
      <arglist>(const KCModuleInfo &amp;info, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>5f9a62b1b9bd19c1cff99a85b83fced8</anchor>
      <arglist>(const QString &amp;serviceName, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>4fb9f081dedb8bf8f6426a21c4426825</anchor>
      <arglist>(const KService::Ptr &amp;service, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>d9a6f8d829a0cac4d9f9dce1ff090d18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>cf8c3283771767a2a2f907a27d09c64c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>73a578508c3a025c2813536fc6c8a558</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>1baf39a1e32e725def898b434bfdc8ba</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>92d2aa990d76c164fbfa79571348e8cf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>393dca5abc7e2e671950230e2e1b3a09</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>99ace416cd04fc0759fde845b66623e5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useRootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>dd7010005e99c339324e81129dcc7f27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KInstance *</type>
      <name>instance</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>351397b273163ced6b66b5e99b61546d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>154cd6d09489d91476a6caff2517c5a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>rootMode</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>5dce8931cd9ff33064585b61cbe74728</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KCModule *</type>
      <name>realModule</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>00c61146a8d353460a2933849575d5f9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KCModuleInfo &amp;</type>
      <name>moduleInfo</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>fa572e1ec479edf4f4a9eb408d3aaecf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>dcopName</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>639bf57bf6d9fb20b6277f1fbe750c64</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>85b01439a5f6428fcd9266d02cb3d745</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>0ee69f8bbf5191adf97e31cc48d63087</anchor>
      <arglist>(const KCModuleInfo &amp;info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitQuickHelpChanged</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>e64a32a3e2dc095e2336443c9151c8db</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KCModuleProxyRootCommunicatorImpl</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>60c945723f378705a5f82c2bbdae72d7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyIface</name>
    <filename>classKCModuleProxyIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>applicationName</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>a50f51c156f772711ef6d03e3a89ee41</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>669022bfc20027e9d50d9230f485b6d3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>3a7e2d2ee94fa649a6292786375ec4a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>ec9976f37a5b44def44f069427f12b98</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>d732f382526f3c8a317353871094abef</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>b3f7e60ae284708daaebf41c49535ffb</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>cdb0ec9c19592d212736978cabc66872</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>0c91566cb63ec312bd43f013642f0291</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyIfaceImpl</name>
    <filename>classKCModuleProxyIfaceImpl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KCModuleProxyIface</base>
    <member kind="slot">
      <type>void</type>
      <name>changedRelay</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>ad1bfc1c49f67e835e4f5f410ac4cff2</anchor>
      <arglist>(bool c)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>quickHelpRelay</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>4a830f316655cc6515e4121850f421b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxyIfaceImpl</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>b9bcc8ec0df432a7b357f4d46d929e64</anchor>
      <arglist>(const QCString &amp;name, KCModuleProxy *const client)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>0ac61ff1d21a8f2dc1467c93dc5ddc09</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>a48295b1d1ca2251614909a209f10434</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>d2cf96e99494a7cd3b74638939e2efd1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>applicationName</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>30fb7ffc10c37e840f0d777ea1792175</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>cdd8e71388c8967a75d36899c51232e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>8e16b852ed732add31caf2cf9dfdd47d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyRootCommunicatorImpl</name>
    <filename>classKCModuleProxyRootCommunicatorImpl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KCModuleProxyRootDispatcher</base>
    <member kind="function">
      <type></type>
      <name>KCModuleProxyRootCommunicatorImpl</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>d57468102f6af57281fe8d510a8d94c5</anchor>
      <arglist>(const QCString &amp;name, KCModuleProxy *const client)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>4ddf3c0ada78b81f7726b87b6a61dc41</anchor>
      <arglist>(bool c)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>b4ad58fc91372348b10b4c9fc18613c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>KCModuleProxy *</type>
      <name>p</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>1cfffb9211e5e2378fd8ce76caf5f407</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyRootDispatcher</name>
    <filename>classKCModuleProxyRootDispatcher.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyRootDispatcher.html</anchorfile>
      <anchor>2ff6ed25c2f09e4810f03c92247988e7</anchor>
      <arglist>(bool c)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxyRootDispatcher.html</anchorfile>
      <anchor>b071e10d1a899198e6f70eb426df85d5</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMultiDialog</name>
    <filename>classKCMultiDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>bf8d7b3c52fd90d348c680b8a067aee9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>d04c8c9c37d63783858c7ab71225eaa9</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>9ba1bd8938fbd73b24b7455cf3b11fea</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>b64c4e640388aff167fb3886dc65b462</anchor>
      <arglist>(int dialogFace, const QString &amp;caption, QWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>ee8afc7580801c9fd2480f90186188c3</anchor>
      <arglist>(int dialogFace, const KGuiItem &amp;user2, const KGuiItem &amp;user3=KGuiItem(), int buttonMask=User2, const QString &amp;caption=i18n(&quot;Configure&quot;), QWidget *parent=0, const char *name=0, bool modal=false) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>88fdcf3a3569b9097cad0364a7b428f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>fb466c1981af51a833a6300c3f71674e</anchor>
      <arglist>(const QString &amp;module, bool withfallback=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>c5684f25af1aed7968303e6aa42318e8</anchor>
      <arglist>(const KCModuleInfo &amp;moduleinfo, QStringList parentmodulenames=QStringList(), bool withfallback=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAllModules</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>f2ae2d273211ee137a67a01fe244df25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>88895c85c449a25a9b91c48de3a8f22b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a18c0253a7cf99662f0cfd11f9a955b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>c65df4021c119c0eb0659edd0261476b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>f3318dc97ed7640892714ea001079d27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>7302c5cd148118d994d5442b233edee5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotHelp</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>be9931a715ecf85eda04a46e1900785c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFind</name>
    <filename>classKFind.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Result</name>
      <anchor>40a6b946c7c572127a8bc03f0983086f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoMatch</name>
      <anchor>40a6b946c7c572127a8bc03f0983086fba61fbb9416d27f4ca375335f6aadf5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Match</name>
      <anchor>40a6b946c7c572127a8bc03f0983086ffbed2acec3f17225b88e7e8d7d4a6027</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>f66e494430aa005f66f08052ed82b0e9</anchor>
      <arglist>(const QString &amp;text, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>657f5d8ff4bfaf4fbdcb06f31ce0951b</anchor>
      <arglist>(int id, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>findNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>8dda59166d3c8893737675328312c7a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>optionsChanged</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>8930ac96f7c34f1c2a923f423b78ae80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>7b8095f6465290037a18fb10e55303bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>bf8d9a3d3e1901468b73b4c9fc84c15b</anchor>
      <arglist>(const QString &amp;pattern, long options, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>0be9aa46e4e9a76a6895573e8f35f8fe</anchor>
      <arglist>(const QString &amp;pattern, long options, QWidget *parent, QWidget *findDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>57d3de5351a9271151bc7f7b11420fae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>693f6e7325debddba15b5df4f23a481d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>c806c7431ccf4322b527503bc2017a38</anchor>
      <arglist>(const QString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>00e99cbb31eb7db6ea7f9742214140ff</anchor>
      <arglist>(int id, const QString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>eca9357cf928ce7bf0e63e695e13572e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>f4ca7401e7e0226489eb84d7156389f2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOptions</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>b81a0a207642b5040b7f70aa7554e2a6</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>b1523afcd74644500cf3dbc4264d6f7f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>6def3ea12954905ddaef3ebf39ced2b5</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numMatches</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>49c21695573a64803eda023f18d272ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>fb374c90fc8ee5c1f21f84d934b0df35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>validateMatch</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>469e02f43c69769b3f4c3c815241a69d</anchor>
      <arglist>(const QString &amp;text, int index, int matchedlength)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>8723f1ff5cad548ae5c45ecf06c8adaf</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ebec25989e1c555a85839493a0bfefe1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>findNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>27f97b3e09a67a156655e7a7b81ea871</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeFindNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>7463d233cf533cab1517a04a2bee0d59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>7ea6d205043d5d39f1fbddd7479da6fd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>1ce04dfdc7e2ee4117743fcf9a41d3e4</anchor>
      <arglist>(const QString &amp;text, const QString &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>cccfd8b9bfe82bf8cb6b1b20257cd718</anchor>
      <arglist>(const QString &amp;text, const QRegExp &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFindNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>26a586cee651921df2bb255552ee8451</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>63d9775035c980ee45188f7777ff766e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>9f904a292c8e93e2b7a5a4d9a2bd5794</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>dialogsParent</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>02553a42c19e6ada1ab292765bfdb7dc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplace</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>1e801c845634e887e0fc2df5e3360827</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFindDialog</name>
    <filename>classKFindDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchor>f23ee57e25537375669364b87e16eac2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WholeWordsOnly</name>
      <anchor>f23ee57e25537375669364b87e16eac25db7cf21128345e29602c83cf31eb19c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FromCursor</name>
      <anchor>f23ee57e25537375669364b87e16eac22c100196ebf03c67436f1132cd8f79be</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SelectedText</name>
      <anchor>f23ee57e25537375669364b87e16eac274916e2d530bacb0b06c99a8b2e61bdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CaseSensitive</name>
      <anchor>f23ee57e25537375669364b87e16eac2a072953f74644bdc0e459f4fe6227d4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FindBackwards</name>
      <anchor>f23ee57e25537375669364b87e16eac2c3d27a1c47e0d6fee6c0b6476c1a5ba8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RegularExpression</name>
      <anchor>f23ee57e25537375669364b87e16eac2b05d90b001a3665b45d4ec4d1587f24d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FindIncremental</name>
      <anchor>f23ee57e25537375669364b87e16eac209ee480d328c85c829b1ea760af72557</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MinimumUserOption</name>
      <anchor>f23ee57e25537375669364b87e16eac2940719022d63a2c2b57ba145dc03b37f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>52784cff0e1a60767fae086441ce8b26</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>1ee22a04b19bdfbc60a8247627649fe8</anchor>
      <arglist>(bool modal, QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>430c00801898700de804e01a5bbf081d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFindHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>87936c24c1a879a9cfc58c260d0be0bc</anchor>
      <arglist>(const QStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>findHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>93d293073696aabbb7f7e4b45c54f4f3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasSelection</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a90691a0c749be71352ed4dd6a08ca63</anchor>
      <arglist>(bool hasSelection)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasCursor</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>6be903cddc210f1d687f47b345ba645a</anchor>
      <arglist>(bool hasCursor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsBackwardsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>47b113ace4556b15871844103f9acc1a</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsCaseSensitiveFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>87539c237ffabe9ecd5874d2c3932c8c</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsWholeWordsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>789152a36772e4619785038adc456730</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsRegularExpressionFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a11afefb57b18afcd0d7d1a6a0369349</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>e512813bd5ec4da5bbb495e81edec9fb</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a270bac3d56f0a84094c448a540362db</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>9a39d56d73807e64e55645a5900e8c70</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>ecfe284726db6b7309281472ddaa01b9</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>findExtension</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>67c3821929367a0231fd550e354db32c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>849a8af159e5044e01f6fdc2da806f9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectedTextToggled</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>439fe284d978f0cc48f761ff9d6b9513</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPatterns</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>2596dd5c44ec589c0c0a00f6a5951226</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPlaceholders</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>7d01b893f06ec03c4edfafa2242ef22a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>textSearchChanged</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>723129761d9fddd0bb58f80b9a53fbbe</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>2c742bd3fed8091fdb3ab0bbe6150428</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplaceDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>72e96c98c853c5ed4ea1db359c43e4b8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBar</name>
    <filename>classKMultiTabBar.html</filename>
    <base>QWidget</base>
    <member kind="enumeration">
      <name>KMultiTabBarMode</name>
      <anchor>0c742143243f1af4e1314aefe0228a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Horizontal</name>
      <anchor>0c742143243f1af4e1314aefe0228a165dadb3be50644859ff39746a0aeaa6ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Vertical</name>
      <anchor>0c742143243f1af4e1314aefe0228a16fe09579a0c226a5eee45eb23145e9552</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarPosition</name>
      <anchor>9a85fb21237e5e91f7f2a09b75c96c81</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Left</name>
      <anchor>9a85fb21237e5e91f7f2a09b75c96c814eb06652ff388e811245e9774d857aeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Right</name>
      <anchor>9a85fb21237e5e91f7f2a09b75c96c81e2542940b6086aea190dbcb41943f514</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Top</name>
      <anchor>9a85fb21237e5e91f7f2a09b75c96c81048e2477360454066139746f91284cc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Bottom</name>
      <anchor>9a85fb21237e5e91f7f2a09b75c96c81622e0ffdaf4015357d3a275f2653677c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarStyle</name>
      <anchor>1620e3aa198963c7d94233050139c827</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>VSNET</name>
      <anchor>1620e3aa198963c7d94233050139c827e4211116578a09724a5a9822aa865b28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KDEV3</name>
      <anchor>1620e3aa198963c7d94233050139c827662aeff664d13636fc3d64a66bee1cc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KONQSBC</name>
      <anchor>1620e3aa198963c7d94233050139c827eb717e65bc739e0c7d3837cd7f0da951</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KDEV3ICON</name>
      <anchor>1620e3aa198963c7d94233050139c827946c48526f0d2fceeb326f5316f19d6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STYLELAST</name>
      <anchor>1620e3aa198963c7d94233050139c827d9c565d065a3a8cee8d3f15c04499f84</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>cff591d6d7fcf9d175d880e59de1f252</anchor>
      <arglist>(KMultiTabBarMode bm, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>6671d93740d929dc29e3a74b048d96be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>cea619ea2e12a19b0ae4f24acc9549be</anchor>
      <arglist>(const QPixmap &amp;pic, int id=-1, QPopupMenu *popup=0, const QString &amp;not_used_yet=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>859735c1d2894592f72ffc4cdffea925</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>da5be7d3f47b331e9e1eab1fb20d5008</anchor>
      <arglist>(const QPixmap &amp;pic, int id=-1, const QString &amp;text=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>4d40d8a6c782f9cc4bc14ccf58b3dc61</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>980a791e5e0ced19f44450f07cefea33</anchor>
      <arglist>(int id, bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTabRaised</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>c9726c6530316d38fde870c121173aba</anchor>
      <arglist>(int id) const</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarButton *</type>
      <name>button</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a822702de3189dc119dc132a630f26e8</anchor>
      <arglist>(int id) const</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarTab *</type>
      <name>tab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>bb962520526039c3ae65e58a7b06ce07</anchor>
      <arglist>(int id) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>f9703bd69213a947ad2664a96fdebff8</anchor>
      <arglist>(KMultiTabBarPosition pos)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarPosition</type>
      <name>position</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>e421ada021a58f3c92035a21fa6eef53</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>086faf12628a486a0e76ff8b66a2e7ed</anchor>
      <arglist>(KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarStyle</type>
      <name>tabStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>2b7c8de9a8ff58271846014c040cd254</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KMultiTabBarTab &gt; *</type>
      <name>tabs</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>0a6aea14aa408d26d29bbe8b1b3c0610</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KMultiTabBarButton &gt; *</type>
      <name>buttons</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a49d54bc30dfc214f893dfcffb6f0f5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabTexts</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>3dc4ecb462dae3e8b1465ee64db9415f</anchor>
      <arglist>(bool show=true)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>fontChange</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>c3430d7453e3abc9fd43fc7181681b39</anchor>
      <arglist>(const QFont &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateSeparator</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>93b021eb094d2ba0fc701d127e6ce623</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>8ca7ce68560afa429d0df519f8630861</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarButton</name>
    <filename>classKMultiTabBarButton.html</filename>
    <base>QPushButton</base>
    <member kind="slot">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>28a2d1c45ab1574aa05259e7e0a960b3</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>37c72768023035a048b700b2e3bb093f</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarStyle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>856af3f068647f9f10d23aa735e22c2c</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>5f0e61830e763fdd84848e9872faf913</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>4cadfe9100574c003ef22326f9cd177a</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>6bd71c31975c2d6263afd210851bdd7e</anchor>
      <arglist>(const QPixmap &amp;pic, const QString &amp;, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>96a1c742d4aad99b511edc29d7d15743</anchor>
      <arglist>(const QString &amp;, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>853eddd04f99c8d604972b2c6ade7a34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>e90162af40d952e0c515aee04016fccc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>960ab88c1eea0c80ff6637f6b907a782</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>hideEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>af0d1424cce4e43b3cf571d01f97b16f</anchor>
      <arglist>(class QHideEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>926aefe9518029cb11d2ec5b4d9b8adf</anchor>
      <arglist>(class QShowEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarPosition</type>
      <name>m_position</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>37c71a4f246b0704c57053a96020c941</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarStyle</type>
      <name>m_style</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>be7c46e7076557ca4a725a29f6e86216</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_text</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>051ec27cf797fc8050d40b1b1a2ed872</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarTab</name>
    <filename>classKMultiTabBarTab.html</filename>
    <base>KMultiTabBarButton</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>182334fa325f455213e711f3fac3c765</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>3d0f47b79fcd642590a60f5f278fb828</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>dcac9dfec067688a48b0705b3f1f3078</anchor>
      <arglist>(const QPixmap &amp;pic, const QString &amp;, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>e31b214dec88f8d20d94e26c263f3de8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a7730576dccb4c0ab2ad6cbc66bae282</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabText</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>745d630a684af3d267dc6a23b85e8c7e</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>83866ba19205878481e087db34a8f5b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>7ef35b81ba26940c08a4250f7c3d9238</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setTabsPosition</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>6fa70a8f3d62bbcd8b15458a90baa66d</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>e7b609db77c31398fe0a65fb1c8f65a9</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>neededSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>4caffdc4ea7fcdbbc9cf70542064a72a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>8cef7fa760f3961f835b07b6f72a8013</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButton</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>cb69063ee983dfa91f151c9db14c97af</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButtonLabel</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>4cd5005fafaef513df318217e80bbcf4</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonStyled</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>3ac59fdd11cbf42873e30b5657c0f1a9</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonClassic</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>c5fea4f48eaeb5934099dd9c6078a300</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarInternal</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a7ce0be4a81bcee3c17f699bd355ecb9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginInfo</name>
    <filename>classKPluginInfo.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; KPluginInfo * &gt;</type>
      <name>List</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ba94b8350c2a03efb7fb1a5dabde6eb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>dd336b84f9b10953fff17f7f008dd5c8</anchor>
      <arglist>(const QString &amp;filename, const char *resource=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>9a1dc91305cbcc4467dd8faefd9c54be</anchor>
      <arglist>(const KService::Ptr service)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>954dc0a29079bc8c4c56b136c2c24f35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHidden</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>2c4f920e10d53ae0477afecdc0806fcc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>c453ae934eb0711dd88647b5d0f0d2dd</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>9deb8ec530e91935a462e5610eae0fcb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPluginEnabledByDefault</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>2c6f89c894809fd3b40c6bf8a2f804a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>property</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>5113be2858863d954563fcf5de741094</anchor>
      <arglist>(const QString &amp;key) const</arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>operator[]</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>f4ab84af596bc6e275c2408d9fba5f1f</anchor>
      <arglist>(const QString &amp;key) const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>name</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>53035108b8d65094f8ad0426b3d7dfc4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>comment</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>3370f6aba3f93c43abb3b47a3766bb18</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>icon</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>77d6fbb7b05306dc9e42144551100c3e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>specfile</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>274fcb3198c8e2d42c68c63105021456</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>author</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>44e9f5a416eeaa7f4085f6cbcb25f824</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>email</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>1990519ede1f686fc191c0821a8b7ae2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>category</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>c603cb33413b6bae459cfd3f9f61c7e8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>pluginName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>aef3272da372ec73cbfa05ce919d27c0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>version</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>1e8ac49c2fb261aaa21dd342f4998248</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>website</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>37dc88640ad1d3df1466789a973172b2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>license</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>b080d44a54fab2721078a48d062e57a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>dependencies</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>c3c0e2fe6378a7ec016efe08ea47f39f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>7827960deb230c5358a10c35d513e4c7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QValueList&lt; KService::Ptr &gt; &amp;</type>
      <name>kcmServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>f1d388be2b62fed1121090f0508551a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfig</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>2476763095369ca53e2b6bad02ba48ff</anchor>
      <arglist>(KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>config</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>b4df32967a5545212ac7de01c63b3fd3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>configgroup</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>bc3fb7da976fb2dfaa4f9af94523d3dc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>c00ca2189951997945691a41aff3f84e</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>796193851fff1ae1ae0865f68623d4a9</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>b2d62b88fec5f9fa67f9b18ca87f0234</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>0087b462646453d50cdcce7185dc5def</anchor>
      <arglist>(const KService::List &amp;services, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromFiles</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>9516b8ed553239392d3a60a7284f5b63</anchor>
      <arglist>(const QStringList &amp;files, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromKPartsInstanceName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>8e95032c6440dec66211186dfec69006</anchor>
      <arglist>(const QString &amp;, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginSelector</name>
    <filename>classKPluginSelector.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a52dd0b1a3a871756def87c2c9d6918c</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>6468d0ce675e1c3d9753246cd07ab119</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginSelector</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>b71ea12eb0a9401f67530e5608233348</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPluginSelector</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>1293cccf6c4a0f8aee9d31ef9d6e198f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>8189a1e9e477f6bec222161a9d6683c0</anchor>
      <arglist>(const QString &amp;instanceName, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>b30b2415371434b13047c6ce457d0993</anchor>
      <arglist>(const KInstance *instance, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>275077c34abdc7df29641b479c14e067</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugininfos, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowEmptyConfigPage</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>312919a6575d2952dbe82209832b9247</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>b028a22b586d0698f61cb3f5b54ae7b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>d9e0185ec6b1ab4dbb532b92d52496d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>c8e384839a14d0bdf17c0c8a6a93d7cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KPluginSelectionWidget</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>c9630545e7cbad6daecc8219b51c2bb8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplace</name>
    <filename>classKReplace.html</filename>
    <base>KFind</base>
    <member kind="signal">
      <type>void</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>fdefd71e9e487ea7292409172eb4430c</anchor>
      <arglist>(const QString &amp;text, int replacementIndex, int replacedLength, int matchedLength)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>21ecb263e51c6dd319aec0b059abc9a3</anchor>
      <arglist>(const QString &amp;pattern, const QString &amp;replacement, long options, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>9d751c132f43866225f854e3d14e5632</anchor>
      <arglist>(const QString &amp;pattern, const QString &amp;replacement, long options, QWidget *parent, QWidget *replaceDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>e1867c23a1a814d7a341ccdb203eb141</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numReplacements</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>c389412840c1bbf011e23ccf2a417be3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>9a17ef8077940fe22bc4596308e3b513</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>bcdf792c73f9971964db69a90a36c030</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>replaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>7145c5261063c8e789da58062c7ceb11</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeReplaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>c7c64ccb2e4a416507774ed8d6781cfe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>9e7eeba5b9522786ca557767fe1977ff</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>690e830552cdaca0c598544b447f9304</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>82a378409efe5dcc3e06a0a46c8bcf5e</anchor>
      <arglist>(QString &amp;text, const QString &amp;pattern, const QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>3071bff758152292c517b49496353069</anchor>
      <arglist>(QString &amp;text, const QRegExp &amp;pattern, const QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSkip</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>74e5439d742312ea4bb53578dd61e2fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>061977e0f0c60369a5f2e7465e86b84a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplaceAll</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>7bfc3484ac99173cf85ee89532cc8f10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplaceDialog</name>
    <filename>classKReplaceDialog.html</filename>
    <base>KFindDialog</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchor>c1bbf85bce9e1fc016fc9146e2de413d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PromptOnReplace</name>
      <anchor>c1bbf85bce9e1fc016fc9146e2de413d7d7b7b184c2f0f654b3a6625525c10b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>b3c885f96abb9c1f8d9cc0955861f208</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), const QStringList &amp;replaceStrings=QStringList(), bool hasSelection=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>87f5246ff389c39d86417b6569ca1e16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>6e502247f5cc4b3e24c6afc488e9aadd</anchor>
      <arglist>(const QStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>replacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>47c8eccb5adf2078a81b6b47efe435f3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>700baff2041d9fc8db6b26310061ca94</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>54d92211d2ecde9d806ca24ad4d881e2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>replacement</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a5f3ed29de6923cac23603fb5cd2c13f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>replaceExtension</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>0706f83ae9df98bd83aa8aa1b7a6eb86</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>9b27f9074cabdb9dc1a1dd53f5135684</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>5fc5f168c6a3ba1e791e30f8f1c85aa1</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSettings</name>
    <filename>namespaceKSettings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Dispatcher &gt;</type>
      <name>ksd_kpd</name>
      <anchorfile>namespaceKSettings.html</anchorfile>
      <anchor>7d98d797cc873a54feba83fa2784e2b5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::ComponentsDialog</name>
    <filename>classKSettings_1_1ComponentsDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>ComponentsDialog</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>d06fa03ea203508372366b842c186573</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ComponentsDialog</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>d7051e63bec75a70858bff8ed22168b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfo</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>fc8b1cc92e1f016b3946e8c69c562257</anchor>
      <arglist>(KPluginInfo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>db6982f0138fd8edbe5302c3b912d960</anchor>
      <arglist>(const QMap&lt; QString, KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>155f43d8ed9f9f47208d2904afb04e81</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugins)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>dcbed79beb4fd2da550722f41de0d6ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>7344f9e8430961f16dfad83dd210de51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>4b80f8f46306de35969f71f1deadff44</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dialog</name>
    <filename>classKSettings_1_1Dialog.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>ContentInListView</name>
      <anchor>0e9d24a330999f1accd4d85cc03e2ff8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Static</name>
      <anchor>0e9d24a330999f1accd4d85cc03e2ff80e93fe741196b7f3372582e241c6de29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Configurable</name>
      <anchor>0e9d24a330999f1accd4d85cc03e2ff87282e6771a1a979f50a3556e24a15cf6</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>b5095a88e53d108e543b1364253f0e65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pluginSelectionChanged</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>042e3d089adcd43091b36bdc6c039e95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>497e54e7eaa64c132efdc59a5b85108e</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>2601262d7e9db7d57483bc8b748a0dce</anchor>
      <arglist>(ContentInListView content=Static, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>148c1368b4c59febb100c73fde26c7f2</anchor>
      <arglist>(const QStringList &amp;components, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>4709906cf2715bdc09fa0dd83ffd37a9</anchor>
      <arglist>(const QStringList &amp;components, ContentInListView content, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>57ca11f931ba73831c788153c8607e9a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfos</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>16856b467c5b55e2ce6df6a9ea74196a</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>KCMultiDialog *</type>
      <name>dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0a4d5b12532e439812f3f275470ee20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>configureTree</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>22e0ac1deae8bbfbef00472863880b0b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateTreeList</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>645686ed01c50cb93e9a932f5fa3867c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PageNode</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>0c76e5b6b4500448fb279d29c9ed171b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dispatcher</name>
    <filename>classKSettings_1_1Dispatcher.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>b6a3bac2a0b1fc5533fb3aa2e9b9fade</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>syncConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>0bdd0012d29c2b1d681ae43f622a5916</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerInstance</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>2c4f3f7998a8dea1c424c8abf06d6608</anchor>
      <arglist>(KInstance *instance, QObject *recv, const char *slot)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>configForInstanceName</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>3d5a4732dd8f574f0841ce7a0923959c</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type>QStrList</type>
      <name>instanceNames</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>1a24da7bdbefd1423328142a61db0aa1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Dispatcher *</type>
      <name>self</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>1686a1e21454ee58c826d4c0b4e60369</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KStaticDeleter&lt; Dispatcher &gt;</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>072c41f2ec2f598b2f14d50eade44764</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::PluginPage</name>
    <filename>classKSettings_1_1PluginPage.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>169d4e4eedb395d232897fb137870dec</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>3a99cf2de5853a8268352839beac059f</anchor>
      <arglist>(KInstance *instance, QWidget *parent=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>1ceac759affa39e8c81e03b81f5b80d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPluginSelector *</type>
      <name>pluginSelector</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>2c3cdac8e08ed50517a29e69fd9a3e93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>fd9147583571e4311fcda38dbd79f834</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a37cc2f685db2c49c0b30c5754f89d66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>d0cdd1c3d8adef1270b9deed6f4d2649</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
